<?php
		include_once(__DIR__."/../../core.php");
	
		switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				$colore = save( $_POST['colore'] );
				$query = "UPDATE doc_documentale_gruppo SET descrizione=\"$descrizione\",".
						"colore=\"$colore\"".	
						" WHERE id=\"".$id_record."\"";
					$dbo->query( $query );
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni Stati salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				$query = "INSERT INTO doc_documentale_gruppo( descrizione ) VALUES ( \"$descrizione\" )";
				$dbo->query($query);
			
				array_push( $_SESSION['infos'], "Nuovo Gruppo aggiunto!" );
				
				$query = "SELECT * FROM doc_documentale_gruppo WHERE descrizione=\"$descrizione\"";
				$rs = $dbo->fetchArray($query);
				$id_record = $rs[0]['id'];
				
				
				
				
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM doc_documentale_gruppo WHERE id=\"".$id_record."\"";
				$dbo->query($query);

				array_push( $_SESSION['infos'], "Gruppo eliminato!" );
			}
			break;
	}
?>
